#!/bin/bash
#
# Copyright (C) 2010 Intel Corporation
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
# Author:
#        Zhang Ge <gex.zhang@intel.com>

function existbh()
{
  echo $1
  pkgcmd -u -q -t wgt -n wrt5plc001
  exit $2
}
$(dirname $0)/wrt_sp02_installer.sh private_localstorage_check.wgt wrt5plc001
if [ $? -ne 0 ]
then
  exit 1
fi
widgetpath="/opt/usr/apps/wrt5plc001/res/wgt/"
if [ ! -d $widgetpath ]
then
  existbh "The path of the application does not exist." 1
fi
filecount=$(ls -lR $widgetpath|grep "^-"|wc -l)
name=("config.xml" "icon.png" "index.html")
if [ $filecount -eq 3  ]
then
  filename=$(ls $widgetpath)
  for var in ${filename[@]};do
    echo ${name[@]}|grep -q "$var"
    if [ $? -ne 0 ]
    then
      existbh "Application does not have its own localStorage space" 1
    fi
  done
  existbh "Application has its own localStorage space" 0
else
  existbh "Application does not have its own localStorage space" 1
fi
